Scribusoid

Author Topic: PDF/X-1a validation  (Read 2217 times)

vltreude

  • Newbie
  • *
  • Posts: 23
  • Karma: 0
  • Scribus User
PDF/X-1a validation
« on: June 02, 2015, 11:00:07 pm »
I need to convert a book into PDF/X-1a:2001 for on-demand publishing. In the past I've used Acrobat for that but this time I'd like to go all-Linux.
I started by importing the first chapter of my book and exporting it as PDF/X-1a in Scribus 1.5.1.svn.
Somewhere I read that I could validate this in Adobe Reader. I determined that a PDF exported by Scribus as PDF/1.4 checks out in Reader. I can invoke the File Properties dialog and it verifies it as 1.4.
However, when I try to validate my test PDF/X-1a file, the reader hangs in File Properties and does not bring up a dialog at all.
I also tried one of those free online validator sites, and it returned an email that simply said, "file is not compliant." How helpful! Since this site (validatepdfa.com) offers conversion services, I suspect it may be a scam.
I suppose I could submit it to Lightning Source (the vendor I used last time for POD) but I'd hate to spend a lot of time formatting the whole book and have it be wrong. Can anyone point me to a better method for file validation?
Thanks!

utnik

  • Hero Member
  • *****
  • Posts: 1278
  • Karma: 14
Re: PDF/X-1a validation
« Reply #1 on: June 03, 2015, 02:16:27 am »
hi vltreude

first of all, why are you using scribus 1.5.1? – this is not recommended for production use.
i exported different .pdf/x-1a files with scribus 1.4.4 and 1.4.5 without any problems.

…Somewhere I read that I could validate this in Adobe Reader…

…I also tried one of those free online validator sites, and it returned an email that simply said, "file is not compliant." How helpful! Since this site (validatepdfa.com) offers conversion services,

i don't think the adobe reader is capable of a .pdf/x validation, and validatepdfa.com validates .pdf/a, not .pdf/x – unfortunately i don't know any free (or even open source) .pdf/x validation tool…

utnik

vltreude

  • Newbie
  • *
  • Posts: 23
  • Karma: 0
  • Scribus User
Re: PDF/X-1a validation
« Reply #2 on: June 04, 2015, 11:46:49 pm »
Good question. I was planning to update to 1.4.5 as soon as I figure out why my version of Ubuntu doesn't see anything newer than 1.4.2. (Yes I added repository paths.) Didn't see an installer for Trusty, maybe I have to build it?
Anyway, I've been working in 1.4.2 using the old workaround of importing to 1.5 when I want to export.
That's too bad about the validatepdfa site, but their reply wasn't very helpful anyway!
Thanks anyway!